Bug 8014 - On the patron entry form hide "restricted until" field if "Restricted: No" is checked
Summary: On the patron entry form hide "restricted until" field if "Restricted: No" is...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Ian Walls
URL: /cgi-bin/koha/members/memberentry.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-27 12:52 UTC by Owen Leonard
Modified: 2013-12-05 19:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8014 - On the patron entry form hide "restricted until" field if "Restricted: No" is checked (4.80 KB, patch)
2012-04-27 13:06 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 8014 - On the patron entry form hide "restricted until" field if "Restricted: No" is checked (4.86 KB, patch)
2012-05-13 11:45 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-04-27 12:52:04 UTC
On the patron entry form I think it would be clearer if the "restricted until" form field was hidden if "Restricted: No" is checked. This remove any ambiguity about whether the field can or should be filled in independently of the "Restricted" options.
Comment 1 Owen Leonard 2012-04-27 13:06:39 UTC Comment hidden (obsolete)
Comment 2 Jared Camins-Esakov 2012-05-13 11:45:05 UTC
Created attachment 9534 [details] [review]
Bug 8014 - On the patron entry form hide "restricted until" field if "Restricted: No" is checked

This patch adds JavaScript to automatically hide the "Restricted
unil" form field on the patron entry form if "Restricted: No" is
selected. If "Restricted: Yes" is chosen the "Until:" field
is shown and focus is given to it.

The patch also adds a note, "(optional)" after the "Until:" field
to make it clearer that a date is not required.

To test, open a patron record and try moving the selection
between "Restricted: No" and "Restricted: Yes." Confirm that
the "Until:" field is shown and hidden as expected. Confirm
that the restricted flag is correctly set or unset upon save,
including setting the flag with or without a date.

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 3 Paul Poulain 2012-05-28 09:44:41 UTC
QA Comment : tiny patch, js and tt only, nothing specific to say

passed QA
Comment 4 Paul Poulain 2012-05-28 09:45:24 UTC
pushed, usefull for 3.8 I think, so versionning 3.8
Comment 5 Chris Cormack 2012-05-28 20:42:54 UTC
I agree useful for for 3.8.x, will be in 3.8.2